Bug 1596076 - Introduce database group profile (to be only applied for CNS)
Summary: Introduce database group profile (to be only applied for CNS)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: RHGS 3.3.1 Async
Assignee: Atin Mukherjee
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On: 1596020
Blocks: 1597506
TreeView+ depends on / blocked
 
Reported: 2018-06-28 08:29 UTC by Atin Mukherjee
Modified: 2018-09-24 03:36 UTC (History)
12 users (show)

Fixed In Version: glusterfs-3.8.4-54.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1596020
: 1597506 (view as bug list)
Environment:
Last Closed: 2018-07-19 06:00:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2222 0 None None None 2018-07-19 06:01:41 UTC

Description Atin Mukherjee 2018-06-28 08:29:12 UTC
+++ This bug was initially created as a clone of Bug #1596020 +++

Description of problem:

Running DB workload patterns with all perf xlators enabled as default has resulted into some inconsistency issues. Based on the internal testing done by Elvir Kuric there're certain set of perf xlators which need to be turned off to get these types of workload supported by container native storage.

The proposal is to leverage group profile infrastructure to group together all those tunables at one place so that users just need to apply the profile to the volume to use it for the data base workload.

Version-Release number of selected component (if applicable):
mainline

--- Additional comment from Worker Ant on 2018-06-28 04:27:36 EDT ---

REVIEW: https://review.gluster.org/20414 (extras/group : add database workload profile) posted (#1) for review on master by Atin Mukherjee

Comment 15 errata-xmlrpc 2018-07-19 06:00:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2222

Comment 16 Nag Pavan Chilakam 2018-07-19 06:32:33 UTC
Sweta,
Can you kindly convert this bug into testcase, if relevant and mark all the fields in polarion and bugzilla accordingly?


Note You need to log in before you can comment on or make changes to this bug.